org.apache.cocoon.generation
Class RequestGenerator
java.lang.Object
org.apache.avalon.framework.logger.AbstractLogEnabled
org.apache.cocoon.xml.AbstractXMLProducer
org.apache.cocoon.generation.AbstractGenerator
org.apache.cocoon.generation.ServiceableGenerator
org.apache.cocoon.generation.RequestGenerator
- All Implemented Interfaces:
- Component, Disposable, Generator, LogEnabled, Parameterizable, Poolable, Recyclable, Serviceable, SitemapModelComponent, XMLProducer
- public class RequestGenerator
- extends ServiceableGenerator
- implements Parameterizable
- Version:
- CVS $Id: RequestGenerator.java 433543 2006-08-22 06:22:54Z crossley $
- Author:
- Pierpaolo Fumagalli, Giacomo Pati, Vadim Gritsenko, Stefano Mazzocchi
- Cocoon.sitemap.component.documentation:
- Generates an XML representation of the incoming request.
- Cocoon.sitemap.component.label:
- content
- Cocoon.sitemap.component.logger:
- sitemap.generator.request
- Cocoon.sitemap.component.name:
- request
- Cocoon.sitemap.component.pooling.max:
- 16
Configuration options:
- container-encoding (optional)
- The encoding used by container. Default value is ISO-8859-1.
- form-encoding (optional)
- The supposed encoding of the request parameter. Default is null.
- generate-attributes (optional)
- If true, request attributes were also included. Default is false.
These configuration options are supported at both declaration and use time.
The configuration at use time takes priority over declaration time.
| Fields inherited from interface org.apache.cocoon.generation.Generator |
ROLE |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
RequestGenerator
public RequestGenerator()
parameterize
public void parameterize(Parameters parameters)
throws ParameterException
- Specified by:
parameterize in interface Parameterizable
- Throws:
ParameterException
setup
public void setup(SourceResolver resolver,
Map objectModel,
String src,
Parameters parameters)
throws ProcessingException,
SAXException,
IOException
- Description copied from class:
AbstractGenerator
- Set the
SourceResolver, object model Map,
the source and sitemap Parameters used to process the request.
- Specified by:
setup in interface SitemapModelComponent- Overrides:
setup in class AbstractGenerator
- Throws:
ProcessingException
SAXException
IOException
generate
public void generate()
throws SAXException
- Generate XML data.
- Specified by:
generate in interface Generator
- Throws:
SAXException
Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.